package com.shuyue.snack.dao;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import androidx.annotation.Nullable;

public class DatabaseHelper extends SQLiteOpenHelper {
    public DatabaseHelper(@Nullable Context context, int version) {
        super(context, "OrderStore.db", null, version);
    }
    @Override
    public void onCreate(SQLiteDatabase db) {
        // 创建数据库表
        // 创建orders表
        String createOrders = "create table orders (" +
                "id integer primary key autoincrement," +
                "name text," +
                "image integer," +
                "money real," +
                "time text," +
                "username text)";
        db.execSQL(createOrders);
        // 创建address表
        String createAddress = "create table address(id integer primary key autoincrement, username text, cosignee text,phone number,address text)";
        db.execSQL(createAddress);
        // 创建 user表
        String createUsers = "create table IF NOT EXISTS user(username text,password text,password2 text,phone text)";
        db.execSQL(createUsers);
    }
    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
    }
}
