package com.shuyue.snack.ui.my;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.ViewModelProviders;

import com.shuyue.snack.MyApplication;
import com.shuyue.snack.R;
import com.shuyue.snack.activity.LoginActivity;
import com.shuyue.snack.activity.OrderActivity;
import com.shuyue.snack.adaptor.PlaceOrderAdapter;
import com.shuyue.snack.dao.UserDao;
import com.shuyue.snack.model.User;
import com.shuyue.snack.utils.Tips;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import de.hdodenhof.circleimageview.CircleImageView;

import static android.database.sqlite.SQLiteDatabase.openOrCreateDatabase;

public class MyFragment extends Fragment {

    private MyViewModel myViewModel;
    PlaceOrderAdapter orderAdapter;
// 头像
    @BindView(R.id.myUserHead)
    CircleImageView image;
// 用户名
    @BindView(R.id.myUserNickName)
    TextView nickname;
// 账号
    @BindView(R.id.myUserName)
    TextView username;
// 我的订单

// 待付款
    @BindView(R.id.Obligation)
    LinearLayout Obligation;
// 待评价
    @BindView(R.id.Evaluate)
    LinearLayout Evaluate;
// 退款
    @BindView(R.id.Refund)
    LinearLayout Refund;


// 设置部分

    // 地址管理


    public View onCreateView(@NonNull LayoutInflater inflater,
                             ViewGroup container, Bundle savedInstanceState) {
        myViewModel =
                ViewModelProviders.of(this).get(MyViewModel.class);
        View root = inflater.inflate(R.layout.fragment_my, container, false);

        // 绑定资源
        ButterKnife.bind(this, root);
        return root;
    }

    @Override
    public void onActivityCreated(@Nullable Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        initView();
    }

    @Override
    public void onResume() {
        super.onResume();
        initView();
    }


// 获取当前用户名
    @SuppressLint("SetTextI18n")
    private void initView() {
        if (MyApplication.isLogin()) {
            User user = MyApplication.getUser();
            //image.setImageResource(user.getHeadImage());
            image.setImageResource(R.mipmap.momo);
            nickname.setText("用户名: " +user.getUsername());

        }
    }

    /**
     * 点击头像
     */
    @OnClick(R.id.myUserHead)
    void clickImage() {
        if (MyApplication.isLogin()) {
            Tips.show("已登录");
        } else {
            LoginActivity.actionStart(getActivity());
        }
    }



    /**
     * 点击我的订单
     */
    @OnClick(R.id.myOrderView)
    void clickOrder() {
        if (MyApplication.isLogin()) {
            OrderActivity.actionStart(getContext());
        } else {
            Tips.show("请先登录");
        }
    }


    /**
     * 点击退出登录
     */
    @OnClick(R.id.logoutBtn)
    void clickLogout() {
        if (MyApplication.isLogin()) {
            // 清除持久化数据
            UserDao.removeUserAndLoginStatus();
            // 清除全局数据
            MyApplication.isLogin(false);
            MyApplication.setUser(null);
            nickname.setText("登录/注册");
            username.setText("");
            image.setImageResource(R.mipmap.momo);
        } else {
            Tips.show("还没有登录，请先登录");
        }
    }
//
    public static void actionStartP(Context context) {
        Intent intent = new Intent(context, LoginActivity.class);
        context.startActivity(intent);
    }
}